# Scope
This solution aims to optimize the process of molecular screening on selected target proteins. We leverage machine learning to predict molecular properties from chemical structures and guide the digital drug discovery process by identifying the most promising drug candidates before experimental work is conducted. 
 
 #  Project Value Proposition

 1. Query molecules (SMILES) with known bioactivity for a specific protein target via ChEMBL or PubChem API to predict bioactivity.
 2. Generate molecular descriptors and fingerprints to perform quantitative structure-activity analysis and understand how molecular properties influence bioactivity.
 3. Train and benchmark regression models to predict molecular bioactivity (pIC50) as a measure of molecule potency and speed up experimental work on large datasets.
 4. Score novel molecules and prioritize the ones that qualify for the next discovery stage under the required properties.
 5. Assess further compound similarity using t-SNE and statistics that help to identify structurally related studied compounds to validate potential drug targets.
 6. Publish the results to a template dashboard that showcases the analysis, modeling, and novel molecule output. 
 

![sol_img.png](WJkUoeueUa3r)